package org.apache.commons.lang3.concurrent;

package .tmp;

import java.util.concurrent.Future;
import java.util.concurrent.TimeUnit;
import org.apache.commons.lang3.concurrent.ConcurrentUtils;

final class ConstantFuture<T> implements Future<T> {
  private final T value;
  
  ConstantFuture(T value) {
    this.value = value;
  }
  
  public boolean isDone() {
    return true;
  }
  
  public T get() {
    return this.value;
  }
  
  public T get(long timeout, TimeUnit unit) {
    return this.value;
  }
  
  public boolean isCancelled() {
    return false;
  }
  
  public boolean cancel(boolean mayInterruptIfRunning) {
    return false;
  }
}
